filestore-0.6.0.1: Interface for versioning file stores.

Portability | GHC 6.10 required
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Data.FileStore.Git

Description

A versioned filestore implemented using git. Normally this module should not be imported: import Data.FileStore instead.

Synopsis

- gitFileStore :: FilePath -> FileStore

# Documentation

gitFileStore :: FilePath -> FileStore Source

Return a filestore implemented using the git distributed revision control system (http://git-scm.com/).